Bug 140736 - Bad metadata Assertion in rgrp.c: "metatype_check_magic == GFS_MAGIC && metatype_check_type == ((x) ? (3) : (2))"
Summary: Bad metadata Assertion in rgrp.c: "metatype_check_magic == GFS_MAGIC && metat...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: michael conrad tadpol tilstra
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-24 16:03 UTC by Corey Marthaler
Modified: 2010-01-12 03:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-18 20:28:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2004-11-24 16:03:02 UTC
Description of problem:
I was running the revolver I/O load on morph-01 - morph-06.
doio/iogen
genesis
accordion

After 10 hours, morph-03 hit this assertion.

Info fld=0x0, Current sda: sense key No Sense
Bad metadata at 71260637, should be 3
  mh_magic = 0x00011000
  mh_type = 139264
  mh_generation = 9223372039005445870
  mh_format = 0
  mh_incarn = 503338326
Kernel panic - not syncing: GFS: Assertion failed on line 803 of file
/usr/src/cluster/gfs-kernel/src/gfs/rgrp.c
GFS: assertion: "metatype_check_magic == GFS_MAGIC &&
metatype_check_type == ((x) ? (3) : (2))"
GFS: time = 1101291522
GFS: fsid=morph-cluster:corey2.2


Version-Release number of selected component (if applicable):
GFS <CVS> (built Nov 23 2004 12:03:46) installed


How reproducible:
Didn't try

Comment 1 Kiersten (Kerri) Anderson 2005-07-18 20:14:49 UTC
Any updates on this one?

Comment 2 Corey Marthaler 2005-07-18 20:28:51 UTC
Have not seen in a very long time, will reopen if this shows up again.


Note You need to log in before you can comment on or make changes to this bug.